## Properties Pane

Properties Pane — Font properties widget

## Functions

GtkWidget * | font_manager_font_properties_page_new ()
void | font_manager_font_properties_page_update ()

## Types and Values

#define | FONT_MANAGER_TYPE_PROPERTIES_PAGE
| FontManagerPropertiesPage

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── FontManagerPropertiesPage

## Implemented Interfaces

FontManagerPropertiesPage implements GtkAccessible, GtkBuildable and GtkConstraintTarget.

## Includes

    #include <font-manager-properties-page.h>

## Description

This widget displays extended information about the selected font file, including any embedded designer details, copyright and design description.

## Functions

### font_manager_font_properties_page_new ()

    GtkWidget *
    font_manager_font_properties_page_new ();

#### Returns

A newly created FontManagerPropertiesPage. Free the returned object using ``g_object_unref()``.

[transfer full]

### font_manager_font_properties_page_update ()

    void
    font_manager_font_properties_page_update
                                   (FontManagerPropertiesPage *self,
                                    JsonObject *properties);

## Types and Values

### FONT_MANAGER_TYPE_PROPERTIES_PAGE

    #define FONT_MANAGER_TYPE_PROPERTIES_PAGE (font_manager_font_properties_page_get_type ())

### FontManagerPropertiesPage

    typedef struct _FontManagerPropertiesPage FontManagerPropertiesPage;